Your submission was sent successfully! Close

You have successfully unsubscribed! Close

USN-2836-1: GRUB vulnerability

15 December 2015

GRUB password protection can be bypassed.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

  • grub2 - GRand Unified Bootloader

Details

Hector Marco and Ismael Ripoll discovered that GRUB incorrectly handled
the backspace key when configured to use authentication. A local attacker
could use this issue to bypass GRUB password protection.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 15.10
Ubuntu 15.04
Ubuntu 14.04
Ubuntu 12.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

References